# Introduction 

As seen in the [Project Overview](article:2), the goal of this project is to provide transport actors, a data-driven project that will help them in:
 - Better understanding the latest user trends: how often people travel, what modes of transportation are used most, etc.
 - Visualizing future construction sites to identify their potential impact on transportation

The question transport actors may be supposed to answer for the city are
 1. How can we improve or redesign urban transport to meet user needs and environmental objectives?
 2. What are the measures should we take to improve user satisfaction?
 3. How can we anticipate and limit the impact of traffic congestion?

# Use case 

Let's imagine you are an urban mobility manager or analyst in transportation in a city. You are supposed to think about how to improve the daily and weekly traffic at stations in your city. The questions you will ask yourself are

 1. What are the current trends and habits of users and how are these patterns reflected by transportation mode?
 2. What are the construction sites that might impact on transportation?
 3. What is the traffic expected in each hubs of the city’s transport network? 

# Actionability 

Once you will get the visibility over your network, you can limit the impact of traffic congestion. 

For example, you are an urban mobility manager in Paris, and you realize there is a [disturbing construction site ](dashboard:DeCgdYU)on Rivoli's road. You also know that the[ traffic at stations](dashboard:17WpfZS) around is quite dense. 

Therefore, you decide to allocate free buses on lines that are surronding this construction site area and decide to forbid cars on the surrounding roads. Thanks to this visibility, you can provide a relevant transportation alternative when a major construction is planned, and thus improve user satisfaction. 
