## Background

<img src="/static/dataiku/images/dss-logo-about.png" width="70" style="float: right; margin-right: 30px" />

In the past five decades, the population has become increasingly concentrated in urban areas. More than 80% of the world's population lives within an hour of a city according to a 2015 study by Oxford University. This trend has led to strong growth in road and urban transport traffic, putting cities under pressure.

In this context, cities have tried to offer several modes of transportation to meet the demand. However, they still face many challenges including:
- Urban population growth, leading to increased demand
- Constantly changing mobility habits and preferences
- New modes of mobility such as dockless bicycles or electric scooters
- Planning of maintenance work

## Objectives
The goal of this project is to provide transport actors, a data-driven project that will help them in:
1. Better understanding the latest user trends: how often people travel, what modes of transportation are used most, etc.
2. Visualizing future construction sites to identify their potential impact on transportation

The project focuses on the city of Paris. The data comes from [Open data Paris](https://opendata.paris.fr/).

[Let's imagine you are an urban mobility manager or analyst in transportation in a city](article:12). You are supposed to think about how to improve the daily and weekly traffic at stations in your city. The questions you will ask yourself are

What are the current trends and habits of users and how are these patterns reflected by transportation mode?
What are the construction sites that might impact on transportation?
What is the traffic expected in each hubs of the city’s transport network?


## Key Benefits

The key benefits of this project include:
- Anticipate and limit the impact of traffic congestion (e.g. provide a relevant transportation alternative when major construction is planned).
- Take measures to improve user satisfaction (e.g. offer new subscription options).
- Improve or redesign urban transport to meet user needs and environmental objectives (e.g. plan the installation of new bicycle paths).

## How to Get Started?

To setup the projet you need to:
   - run scenario [1. Setup](scenario:1QUICKSETUP)
   - directly explore the outputs in the 2 project dashboards

There are 2 project dashboards where all project outputs are gathered:
- [1. Multimodal Traffic Analysis](dashboard:17WpfZS)
- [2. Construction Site Disturbances](dashboard:DeCgdYU)

For more information, you can check the wiki page [Deliverables](article:3).